Summary: Enables the use of a readonly root filesystem
Name: readonly-root
Version: 0.10
Release: 1
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: initscripts >= 7.57
Requires: busybox-anaconda

%description
This package contains various files and utilities to allow the use
of a readonly root filesystem.

The rc.readonly initscript configures the system so that temporary
files and files that need to be modified during runtime will be
stored in memory.

The diskless-mkinitrd script allows the creation of initrds for
use with pxelinux (i.e. network booting) or isolinux (for bootable
live CDs).

The mklivecd is a script which allows the creation of bootable
live CDs. Finally, the readonly-prepare script tweaks an OS image
to make it suitable for booting with readonly-root.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
/etc/rc.d/rc.readonly
/etc/rc.readonly
%config(noreplace) /etc/sysconfig/readonly-root
%dir /var/writable
%{_sbindir}/scanswap
%{_sbindir}/diskless-mkinitrd
%{_sbindir}/readonly-prepare
%{_sbindir}/find-live-cd
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/readonlyPrepare.py
%{_datadir}/%{name}/shvar.py
%{_datadir}/%{name}/mklivecd
%attr(755,root,root) %{_datadir}/%{name}/livecd-linuxrc
%attr(755,root,root) %{_datadir}/%{name}/diskless-linuxrc
%attr(755,root,root) %{_datadir}/%{name}/diskless-dhclient-script

%changelog
* Mon Sep 13 2004 Mark McLoughlin <markmc@redhat.com> - 0.10-1
- Update to 0.10.

* Fri Aug 20 2004 Alexander Larsson <alexl@redhat.com> - 0.9-1
- add live-cd support

* Fri Aug 20 2004 Mark McLoughlin <markmc@redhat.com> - 0.8-2
- Add Alex's find-live-cd to %files

* Wed Aug 18 2004 Mark McLoughlin <markmc@redhat.com> 0.8-1
- add /etc/sysconfig/readonly-root (bug #129893)

* Mon Jul 26 2004 Mark McLoughlin <markmc@redhat.com> 0.7-1
- move everything into a tarball, add script for tweaking
  a root dir to be suitable for readonly usage

* Sun Jul 18 2004 Mark McLoughlin <markmc@redhat.com> 0.6-1
- add diskless-mkinitrd

* Wed Jun  9 2004 Alexander Larsson <alexl@redhat.com> 0.5-1
- add swap scanning

* Mon Jun  7 2004 Alexander Larsson <alexl@redhat.com> 0.4-1
- Copy over dhcp lease files to new root
- unmount old root

* Fri Jun  4 2004 Alexander Larsson <alexl@redhat.com> 0.3-1
- Make /var/lib/dhcp writable

* Thu Jun  3 2004 Alexander Larsson <alexl@redhat.com> 0.2-1
- Correct filename for kudzu hwconf
- Clean out hwconfig & modprobe.conf on boot

* Tue May 25 2004 Alexander Larsson <alexl@redhat.com> 0.1-1
- Initial build.
